LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05791Bug reports[All Projects] Survey takingpublic2012-02-09 12:592012-02-26 10:16
Reporterkhoy 
Assigned ToDenisChenu 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.91+ 
Target VersionFixed in Version1.91+ 
Summary05791: numeric question doesn't accept comma as decimal seperator
DescriptionI have a problem with a "numerical input" question.
I have set "decimal seperator" to "comma".
Numeric question has advanced settings value between 0 and 10 and "only integer" = no, "maximum characters" = 4.
When testing a value of 2,6 can be entered (2.6 can not be entered) but when going to the next page you can't proceed because LS says that question isn't answered correctly. Integer values are ok.

Steps To ReproduceCreate "numerical input" question with the advanced settings mentioned above.
Test survey.
Additional InformationA couple of times when going back and forth in the survey(changing value to integer, leaving blank (non mandatory question)), it was possible to enter a value with comma but I can't pinpoint what was different then.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID11232
Browserie8 Firefox8.01
Database & DB-VersionMysql
Operating System (Server)Linux
Webserver software & versionAppache
PHP Version5.1.6
Attached Files

- Relationships

-  Notes
User avatar (17326)
Mazi (developer)
2012-02-09 13:50

I can reproduce this problem.
User avatar (17333)
DenisChenu (developer)
2012-02-09 15:28

Fixed in 12425

Report another issue for 1.92, completely different.
User avatar (17637)
c_schmitz (administrator)
2012-02-26 10:16

New 1.91+ version released

- Issue History
Date Modified Username Field Change
2012-02-09 12:59 khoy New Issue
2012-02-09 13:50 Mazi Note Added: 17326
2012-02-09 13:58 Mazi Assigned To => DenisChenu
2012-02-09 13:58 Mazi Status new => assigned
2012-02-09 15:28 DenisChenu Note Added: 17333
2012-02-09 15:28 DenisChenu Status assigned => resolved
2012-02-09 15:28 DenisChenu Resolution open => fixed
2012-02-14 14:13 c_schmitz Fixed in Version => 1.91+
2012-02-26 10:16 c_schmitz Note Added: 17637
2012-02-26 10:16 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker